Larian Banner
Previous Thread
Next Thread
Print Thread
Page 2 of 2 1 2
Re: DO NOT PATCH TO 1.41 #227711
07/05/04 02:22 PM
07/05/04 02:22 PM
Joined: Feb 2003
Posts: 82
Lar Offline

journeyman
Lar  Offline

journeyman

Joined: Feb 2003
Posts: 82
I'll try to shed some light on this:

There's indeed a problem with 1.41 but it is very limited in scope. The only people who should have problems with it are those upgrading from 1.4 to 1.41 and using savegames from 1.4 (So with savegames prior to 1.4 you should still be ok).

What happened is that there is a problem with the code that upgrades the savegames from 1.4 to 1.41. We're working on fixing it and will release 1.42 asap. The problem is caused by the merchants regenerating their inventories, something that was introduced in 1.4 (but with a bug) and which is solved in 1.41. But as I said, there was a problem with the upgrade code. So 1.4 and 1.41 are flawed. 1.41 is only flawed though for using it with savegames made in 1.4.

Summarized:

If you start a new game with 1.41 you shouldn't have any big problems.
If you upgrade a game from 1.1.,1.2 or 1.3 to 1.41 you shouldn't have any big problems either.

If you want to be absolutely sure that all is ok, wait for 1.42 which we are trying to get out of the door today. That should take care of all problems.

Needless to say we are very embarassed by this all and deeply apologize.

Lar



Where stands it written that I have to be fair?
Re: DO NOT PATCH TO 1.41 #227712
07/05/04 02:48 PM
07/05/04 02:48 PM
Joined: Mar 2003
Posts: 6,141
Belgium
Viper Offline
veteran
Viper  Offline
veteran

Joined: Mar 2003
Posts: 6,141
Belgium
needless to say it is very nice of you for the light shedding <img src="/ubbthreads/images/graemlins/winkwink.gif" alt="" />

thanks for responding so fast


Viper
Re: DO NOT PATCH TO 1.41 #227713
07/05/04 02:52 PM
07/05/04 02:52 PM
Joined: May 2004
Posts: 430
Blefescu
fable Offline
addict
fable  Offline
addict

Joined: May 2004
Posts: 430
Blefescu
Lar, if it isn't there already, I suggest you put it under a headline on the Beyond Divinity main page. Not only does it provide useful information, but you're showing people that you do care about keeping players up to date on changes and problems. That never hurts. <img src="/ubbthreads/images/graemlins/winkwink.gif" alt="" />

Re: DO NOT PATCH TO 1.41 #227714
07/05/04 02:58 PM
07/05/04 02:58 PM
Joined: May 2004
Posts: 84
England, UK
MonkehmaN Offline
journeyman
MonkehmaN  Offline
journeyman

Joined: May 2004
Posts: 84
England, UK
Quote


Needless to say we are very embarassed by this all and deeply apologize.

Lar



I hardly think you have reason to be embarassed. Bugs just frustrate people, you guys work at such an incredible speed it's frankly great to see. You deserve (and from what i've seen) have nothing but respect. People just have to remember, some of us don't know the difference between computer code and an orc's [nocando] so we need things explained a bit or we get all <img src="/ubbthreads/images/graemlins/confused.gif" alt="" />

Edit: Did that [nocando] ruin the humour? <img src="/ubbthreads/images/graemlins/puppyeyes.gif" alt="" />

Last edited by MonkehmaN; 07/05/04 02:59 PM.

====== Monkeh see, Monkeh do.
Re: DO NOT PATCH TO 1.41 #227715
07/05/04 03:14 PM
07/05/04 03:14 PM
Joined: Jun 2003
Posts: 78
Sitting on the 2.648.278 stair...
RedruM Offline
journeyman
RedruM  Offline
journeyman

Joined: Jun 2003
Posts: 78
Sitting on the 2.648.278 stair...
Maybe you guys wanted to release those patches a LITTLE too fast <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />

Still nice work <img src="/ubbthreads/images/graemlins/smile.gif" alt="" />


Re: DO NOT PATCH TO 1.41 #227716
07/05/04 04:15 PM
07/05/04 04:15 PM
Joined: May 2004
Posts: 43
T
Telemachos Offline
apprentice
Telemachos  Offline
apprentice
T

Joined: May 2004
Posts: 43
Hmm... of course I did exactly what I shouldn't have done then <img src="/ubbthreads/images/graemlins/winkwink.gif" alt="" />

I started my game with 1.4, played it without any noticable problems but when 1.41 came out I thought "why not" and went ahead and installed it. So *all* my savegames are 1.4 or 1.41

Now I wonder: when 1.42 comes out, will it be able to correctly convert those 1.4 savegames that I still have to 1.42 - or do I really have to start over on a fresh install. Maybe I should start over nomatter what they say, just to be certain...

- Telemachos

Re: DO NOT PATCH TO 1.41 #227717
07/05/04 04:18 PM
07/05/04 04:18 PM
Joined: May 2004
Posts: 84
England, UK
MonkehmaN Offline
journeyman
MonkehmaN  Offline
journeyman

Joined: May 2004
Posts: 84
England, UK
Quote
Hmm... of course I did exactly what I shouldn't have done then <img src="/ubbthreads/images/graemlins/winkwink.gif" alt="" />

I started my game with 1.4, played it without any noticable problems but when 1.41 came out I thought "why not" and went ahead and installed it. So *all* my savegames are 1.4 or 1.41

Now I wonder: when 1.42 comes out, will it be able to correctly convert those 1.4 savegames that I still have to 1.42 - or do I really have to start over on a fresh install. Maybe I should start over nomatter what they say, just to be certain...

- Telemachos


I think it's safest to anyhow. All my saves say 1.41 but I installed 1.40 patch first so it looks like I finally know the cause of me being unable to exit battlefields at last <img src="/ubbthreads/images/graemlins/party.gif" alt="" />


====== Monkeh see, Monkeh do.
Re: DO NOT PATCH TO 1.41 #227718
07/05/04 04:24 PM
07/05/04 04:24 PM
Joined: Jun 2003
Posts: 354
McCleary, WA, USA
everyman420 Offline
enthusiast
everyman420  Offline
enthusiast

Joined: Jun 2003
Posts: 354
McCleary, WA, USA
i patched from 1.32 to 1.41

1 thing occurred immediately that someone else in the forum also experienced.

clicking summoning doll to activate crashes the game.

so, resolution please?


Re: DO NOT PATCH TO 1.41 #227719
07/05/04 04:32 PM
07/05/04 04:32 PM
Joined: Jun 2003
Posts: 354
McCleary, WA, USA
everyman420 Offline
enthusiast
everyman420  Offline
enthusiast

Joined: Jun 2003
Posts: 354
McCleary, WA, USA
i hope you fix the problem with the summoning doll too.
thanks.

Re: DO NOT PATCH TO 1.41 #227720
07/05/04 05:44 PM
07/05/04 05:44 PM
Joined: Jun 2003
Posts: 121
Buliwyf Offline
member
Buliwyf  Offline
member

Joined: Jun 2003
Posts: 121
i patched from 1.4 to 1.41 and have not yet played. I hope it gets fixed before the weekend?

Re: DO NOT PATCH TO 1.41 #227721
07/05/04 05:50 PM
07/05/04 05:50 PM
Joined: May 2004
Posts: 196
Fireblade Offline

member
Fireblade  Offline

member

Joined: May 2004
Posts: 196
Quote
i patched from 1.4 to 1.41 and have not yet played. I hope it gets fixed before the weekend?


If it doesn't, you should do what I did. Backup your savegames, uninstall the game, reinstall the game, patch to 1.40 (not 1.41), and load in a non-1.41-tainted savegame, and continue playing from there...

Re: DO NOT PATCH TO 1.41 #227722
07/05/04 07:48 PM
07/05/04 07:48 PM
Joined: Apr 2003
Posts: 307
NEO_CLAW Offline
enthusiast
NEO_CLAW  Offline
enthusiast

Joined: Apr 2003
Posts: 307
<img src="/ubbthreads/images/graemlins/biggrin.gif" alt="" /> Patch 1.42 is out! I hope this will fix the problems.

Re: DO NOT PATCH TO 1.41 #227723
09/05/04 03:30 PM
09/05/04 03:30 PM
Joined: May 2004
Posts: 6
F
forznoles Offline
stranger
forznoles  Offline
stranger
F

Joined: May 2004
Posts: 6
I just started over - all my savegames were under v1.41. This sucks. But, I found better stuff quicker the second time around, and I'm already further than I was the first time. I just hope in two days we don't get v1.43 and a warning that all savegames under v1.42 are also screwed... <img src="/ubbthreads/images/graemlins/div.gif" alt="" />

Page 2 of 2 1 2

Moderated by  Larian_QA, Lynn, Macbeth 

Powered by UBB.threads™ PHP Forum Software 7.6.2